<?php
// Define the folder where the images will be uploaded
$uploadDir = 'uploads/';

// Check if form was submitted
if (isset($_POST['submit'])) {
    // Check if an image is uploaded
    if (isset($_FILES['image']) && $_FILES['image']['error'] === 0) {
        
        // Define the path and file details
        $imageName = basename($_FILES['image']['name']);
        $uploadPath = $uploadDir . $imageName;

        // Define allowed file types (you can add more if needed)
        $allowedTypes = ['image/jpeg', 'image/png', 'image/gif'];
        $fileType = $_FILES['image']['type'];
        
        // Check if the uploaded file is an allowed type
        if (in_array($fileType, $allowedTypes)) {
            
            // Check the file size (max 5MB for this example)
            $fileSize = $_FILES['image']['size'];
            if ($fileSize <= 5 * 1024 * 1024) { // 5MB

                // Ensure the uploads folder exists
                if (!is_dir($uploadDir)) {
                    mkdir($uploadDir, 0777, true);
                }

                // Move the uploaded file to the desired location
                if (move_uploaded_file($_FILES['image']['tmp_name'], $uploadPath)) {
                    // Generate the URL of the uploaded image
                    // Since your local server is running on "http://localhost", use it directly
                    $imageURL = 'http://localhost/' . $uploadPath;

                    echo "<p>Image uploaded successfully!</p>";
                    echo "<p>Image URL: <a href=\"$imageURL\" target=\"_blank\">$imageURL</a></p>";
                    echo "<img src=\"$imageURL\" alt=\"Uploaded Image\">";
                } else {
                    echo "<p>Error: Failed to upload the image.</p>";
                }
            } else {
                echo "<p>Error: File size is too large. Maximum allowed size is 5MB.</p>";
            }
        } else {
            echo "<p>Error: Invalid file type. Only JPEG, PNG, and GIF are allowed.</p>";
        }
    } else {
        echo "<p>Error: No file uploaded or there was an issue with the file.</p>";
    }
}
?>
